map2lonlat {oce} | R Documentation

## Convert X and Y to Longitude and Latitude

### Description

Convert from x-y coordinates to longitude and latitude. This is normally called internally within oce; see ‘Bugs’.

### Usage

    map2lonlat(x, y, init = c(0, 0))

### Arguments

`x` | vector containing the x component of points in the projected space, or a list containing items named `x` and `y`, in which case the next argument is ignored.
`y` | vector containing the y coordinate of points in the projected space (ignored if `x` is a list, as described above).
`init` | vector containing the initial guesses for longitude and latitude, presently ignored.

### Details

A projection must already have been set up, by a call to `mapPlot` or `lonlat2map`. It should be noted that not all projections are handled well; see ‘Bugs’.

### Value

A list containing `longitude` and `latitude`, with `NA` values indicating points that are off the globe as displayed.

### Bugs

`oce` uses project in the rgdal package to handle projections. Only those projections that have inverses are permitted within `oce`, and even those can sometimes yield errors, owing to limitations in rgdal.

### Author(s)

Dan Kelley

### See Also

`lonlat2map` does the inverse operation.

A map must first have been created with `mapPlot`.

Other functions related to maps: `lonlat2map`, `lonlat2utm`, `mapArrows`, `mapAxis`, `mapContour`, `mapDirectionField`, `mapGrid`, `mapImage`, `mapLines`, `mapLocator`, `mapLongitudeLatitudeXY`, `mapPlot`, `mapPoints`, `mapPolygon`, `mapScalebar`, `mapText`, `mapTissot`, `oceCRS`, `shiftLongitude`, `utm2lonlat`

### Examples

    ## Not run:
    library(oce)
    ## Cape Split, in the Minas Basin of the Bay of Fundy
    cs <- list(longitude=-64.49657, latitude=45.33462)
    xy <- lonlat2map(cs, projection="+proj=merc")
    map2lonlat(xy)

    ## End(Not run)

[Package oce version 0.9-22 Index]